FLANG

Public Member Functions | List of all members
Fortran::evaluate::HostIntrinsicProceduresLibrary Class Reference

## Public Member Functions
void | AddProcedure (HostRuntimeIntrinsicProcedure &&sym)
bool | HasEquivalentProcedure (const IntrinsicProcedureRuntimeDescription &sym) const
template<template< typename > typename ConstantContainer, typename TR , typename... TA>
std::optional< HostProcedureWrapper< ConstantContainer, TR, TA... > > | GetHostProcedureWrapper (const std::string &name) const

The documentation for this class was generated from the following files:

- include/flang/Evaluate/intrinsics-library.h
- lib/Evaluate/intrinsics-library-templates.h
- lib/Evaluate/intrinsics-library.cpp